/*
EntryPoints

## Overview  EntryPoint is one of the ways to start interaction flow. It can be represented as QR code, link (https://slace.me/... URL) or NFC tag.  ## Data  EntryPoints contain two types of data:   - **static** - *\"internal\" data storage which can be updated only via editing the EntryPoint* (directly or via Interaction) - **dynamic** - *public data which can be altered also via query parameters of the EP link. Should NOT be used for secrets or critical data* because it can be overwritten by the end user.  Both data containers are copied to transaction created when EntryPoint is entered. This data is used primarily for personalization or flow control of the Interaction.  ## EP Batches  EntryPoints can be batch-created (superadmin feature) and then [assigned](https://slace.stoplight.io/docs/stoplight-docs-core/altekzonwbrq9-imports-uploads#assignment-xlsx) to specific Interactions.  > EntryPoints in a batch have random hashes but it's possible to mass-create EPs using the assignment feature (only superadmins). If a value from **Link hash** column is not found it will be auto-created. This allows to create EntryPoints following different hash pattern (e.g. with common prefix).  EntryPoints are re-assignable meaning that they can be re-used for other Interactions even in another Channel or Organization by another [assignment import](https://slace.stoplight.io/docs/stoplight-docs-core/altekzonwbrq9-imports-uploads#assignment-xlsx).  ## Redirects  There is a special type of EntryPoint which does not start a SLACE Interaction but redirects to a configured URL.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package entrypoints

import (
	"encoding/json"
)

// checks if the GetManagementEntryPointsJobs200Response type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &GetManagementEntryPointsJobs200Response{}

// GetManagementEntryPointsJobs200Response struct for GetManagementEntryPointsJobs200Response
type GetManagementEntryPointsJobs200Response struct {
	Total *int32 `json:"total,omitempty"`
	Results []BatchesJob `json:"results,omitempty"`
}

// NewGetManagementEntryPointsJobs200Response instantiates a new GetManagementEntryPointsJobs200Response object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewGetManagementEntryPointsJobs200Response() *GetManagementEntryPointsJobs200Response {
	this := GetManagementEntryPointsJobs200Response{}
	return &this
}

// NewGetManagementEntryPointsJobs200ResponseWithDefaults instantiates a new GetManagementEntryPointsJobs200Response object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewGetManagementEntryPointsJobs200ResponseWithDefaults() *GetManagementEntryPointsJobs200Response {
	this := GetManagementEntryPointsJobs200Response{}
	return &this
}

// GetTotal returns the Total field value if set, zero value otherwise.
func (o *GetManagementEntryPointsJobs200Response) GetTotal() int32 {
	if o == nil || IsNil(o.Total) {
		var ret int32
		return ret
	}
	return *o.Total
}

// GetTotalOk returns a tuple with the Total field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *GetManagementEntryPointsJobs200Response) GetTotalOk() (*int32, bool) {
	if o == nil || IsNil(o.Total) {
		return nil, false
	}
	return o.Total, true
}

// HasTotal returns a boolean if a field has been set.
func (o *GetManagementEntryPointsJobs200Response) HasTotal() bool {
	if o != nil && !IsNil(o.Total) {
		return true
	}

	return false
}

// SetTotal gets a reference to the given int32 and assigns it to the Total field.
func (o *GetManagementEntryPointsJobs200Response) SetTotal(v int32) {
	o.Total = &v
}

// GetResults returns the Results field value if set, zero value otherwise.
func (o *GetManagementEntryPointsJobs200Response) GetResults() []BatchesJob {
	if o == nil || IsNil(o.Results) {
		var ret []BatchesJob
		return ret
	}
	return o.Results
}

// GetResultsOk returns a tuple with the Results field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *GetManagementEntryPointsJobs200Response) GetResultsOk() ([]BatchesJob, bool) {
	if o == nil || IsNil(o.Results) {
		return nil, false
	}
	return o.Results, true
}

// HasResults returns a boolean if a field has been set.
func (o *GetManagementEntryPointsJobs200Response) HasResults() bool {
	if o != nil && !IsNil(o.Results) {
		return true
	}

	return false
}

// SetResults gets a reference to the given []BatchesJob and assigns it to the Results field.
func (o *GetManagementEntryPointsJobs200Response) SetResults(v []BatchesJob) {
	o.Results = v
}

func (o GetManagementEntryPointsJobs200Response) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o GetManagementEntryPointsJobs200Response) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Total) {
		toSerialize["total"] = o.Total
	}
	if !IsNil(o.Results) {
		toSerialize["results"] = o.Results
	}
	return toSerialize, nil
}

type NullableGetManagementEntryPointsJobs200Response struct {
	value *GetManagementEntryPointsJobs200Response
	isSet bool
}

func (v NullableGetManagementEntryPointsJobs200Response) Get() *GetManagementEntryPointsJobs200Response {
	return v.value
}

func (v *NullableGetManagementEntryPointsJobs200Response) Set(val *GetManagementEntryPointsJobs200Response) {
	v.value = val
	v.isSet = true
}

func (v NullableGetManagementEntryPointsJobs200Response) IsSet() bool {
	return v.isSet
}

func (v *NullableGetManagementEntryPointsJobs200Response) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableGetManagementEntryPointsJobs200Response(val *GetManagementEntryPointsJobs200Response) *NullableGetManagementEntryPointsJobs200Response {
	return &NullableGetManagementEntryPointsJobs200Response{value: val, isSet: true}
}

func (v NullableGetManagementEntryPointsJobs200Response) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableGetManagementEntryPointsJobs200Response) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


